Bug 815982 - Review Request: gnome-shell-search-pinboard - Search your pinboard.in tags from the gnome-shell
Review Request: gnome-shell-search-pinboard - Search your pinboard.in tags fr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 19:06 EDT by Ralph Bean
Modified: 2012-11-12 12:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-12 12:21:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-24 19:06:55 EDT
Spec URL: http://threebean.org/rpm/gnome-shell-search-pinboard.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-pinboard-0.1-1.fc17.src.rpm
Description:  Search your pinboard.in tags from the gnome-shell.
Comment 1 Ralph Bean 2012-05-24 16:51:54 EDT
Update with no more mkdir -p in %%install and support for F16 with a full-path _gnomesearchdir macro.

Spec URL: http://threebean.org/rpm/gnome-shell-search-pinboard.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-pinboard-0.1-3.fc17.src.rpm
Comment 2 Ralph Bean 2012-05-24 17:16:19 EDT
Removed buildrequires for gnome-shell and added that mkdir -p back in there just for good measure!

Spec URL: http://threebean.org/rpm/gnome-shell-search-pinboard.spec
SRPM URL: http://threebean.org/rpm/gnome-shell-search-pinboard-0.1-4.fc17.src.rpm
Comment 3 Mario Blättermann 2012-09-22 15:16:14 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4514015

$ rpmlint -i -v *
gnome-shell-search-pinboard.src: I: checking
gnome-shell-search-pinboard.src: I: checking-url http://threebean.org/gnome-shell-search-pinboard-0.1.tar.gz (timeout 10 seconds)
gnome-shell-search-pinboard.src: I: checking-url http://threebean.org/gnome-shell-search-pinboard-0.1.tar.gz (timeout 10 seconds)
gnome-shell-search-pinboard.noarch: I: checking
gnome-shell-search-pinboard.noarch: I: checking-url http://threebean.org/gnome-shell-search-pinboard-0.1.tar.gz (timeout 10 seconds)
gnome-shell-search-pinboard.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

gnome-shell-search-pinboard.spec: I: checking-url http://threebean.org/gnome-shell-search-pinboard-0.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 1 warnings.


No objections.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[.] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    24a1e0ec54223bab3c8deec4cb60b8189a3bce40451b90c60264ca18f6a7b1f6  gnome-shell-search-pinboard-0.1.tar.gz
    24a1e0ec54223bab3c8deec4cb60b8189a3bce40451b90c60264ca18f6a7b1f6  gnome-shell-search-pinboard-0.1.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[.] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[.] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


Ralph, consider for future upstream releases adding a license file and somewhat documentation. No review blocker, but keep it in mind.
Comment 4 Ralph Bean 2012-09-24 15:09:22 EDT
New Package SCM Request
=======================
Package Name: gnome-shell-search-pinboard
Short Description: Search your pinboard.in tags from the gnome-shell
Owners: ralph
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-09-24 15:28:35 EDT
Git done (by process-git-requests).
Comment 6 Ralph Bean 2012-09-24 15:39:30 EDT
Jon, Mario -- thanks again as always.
Comment 7 Ralph Bean 2012-11-10 21:05:17 EST
I'd like to unretire this package for rawhide and f18.

The interface for search providers changed entirely between gnome-shell 3.4 and 3.6.  The old version required a single XML file whereas the new version requires 4 config files an a dbus daemon.

I though I'd never write such a daemon, and so retired the package.  However, I just finished writing it and would like to now unretire the package (sorry for the hassle).

If you need me to provide any other information, please let me know.  Thanks.

FAS username: ralph
Comment 8 Gwyn Ciesla 2012-11-12 08:52:46 EST
Unretired, take ownership.
Comment 9 Ralph Bean 2012-11-12 12:21:36 EST
Done.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.